
From: Dave Hansen <haveblue@us.ibm.com>

The "abstract discontigmem setup" patch has a small compile bug in
it on the NUMA-Q, which I introduced while "cleaning it up."

Signed-off-by: Dave Hansen <haveblue@us.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/i386/kernel/numaq.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletion(-)

diff -puN arch/i386/kernel/numaq.c~x86-abstract-discontigmem-setup-fix arch/i386/kernel/numaq.c
--- 25/arch/i386/kernel/numaq.c~x86-abstract-discontigmem-setup-fix	2005-02-28 16:39:08.000000000 -0800
+++ 25-akpm/arch/i386/kernel/numaq.c	2005-02-28 16:41:46.000000000 -0800
@@ -62,7 +62,9 @@ static void __init smp_dump_qct(void)
 
 			memory_present(node,
 				node_start_pfn[node], node_end_pfn[node]);
-			node_remap_size[node] = node_memmap_size_bytes(node);
+			node_remap_size[node] = node_memmap_size_bytes(node,
+							node_start_pfn[node],
+							node_end_pfn[node]);
 		}
 	}
 }
_
